#!/usr/bin/env bash

################################################################################################
# NOTE: `chmod +x *.sh` vorher ausführen, um dieses Skript benutzen zu können.
################################################################################################

function run_python() {
    [ "$OSTYPE" == "msys" ] && py -3 $@ || python3 $@;
}

function run_pip() {
    run_python -m pip $@;
}

function run_check_requirements() {
    run_pip install "$( cat requirements )" >> /dev/null;
}

# Kann auskommentiert werden, wenn nötige Module schon installiert:
run_check_requirements;

# Code ausführen:
run_python main.py;
